gnet_stats_finish_copy
Prev | Generic Network Statistics | Next

## Name

gnet_stats_finish_copy — finish dumping procedure

## Synopsis

`int gnet_stats_finish_copy (` | struct gnet_dump * | d`)`;

## Arguments

`d`

  dumping handle

## Description

Corrects the length of the top level TLV to include all TLVs added by `gnet_stats_copy_XXX` calls. Adds the backward compatibility TLVs if `gnet_stats_start_copy_compat` was used and releases the statistics lock.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.

Prev | Up | Next
gnet_stats_copy_app | Home | gen_new_estimator